javax.swing.plaf.basic

## Class BasicTreeUI.TreeExpansionHandler

- java.lang.Object
- - javax.swing.plaf.basic.BasicTreeUI.TreeExpansionHandler

- All Implemented Interfaces:
    EventListener, TreeExpansionListener
  Enclosing class:
    BasicTreeUI

      public class BasicTreeUI.TreeExpansionHandler
      extends Object
      implements TreeExpansionListener

  Updates the TreeState in response to nodes expanding/collapsing.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TreeExpansionHandler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `treeCollapsed(TreeExpansionEvent event)` | Called whenever an item in the tree has been collapsed.
    `void` | `treeExpanded(TreeExpansionEvent event)` | Called whenever an item in the tree has been expanded.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TreeExpansionHandler

          public TreeExpansionHandler()

  - ### Method Detail

    - #### treeExpanded

          public void treeExpanded(TreeExpansionEvent event)

      Called whenever an item in the tree has been expanded.
      Specified by:
        `treeExpanded` in interface `TreeExpansionListener`

    - #### treeCollapsed

          public void treeCollapsed(TreeExpansionEvent event)

      Called whenever an item in the tree has been collapsed.
      Specified by:
        `treeCollapsed` in interface `TreeExpansionListener`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.